<template>
    <b-table striped hover :items="items"></b-table>
</template>
<script>
export default {
    props:[
        'info'
    ],
    computed: {
        items() {
            let result = []
            if (this.info.weather){
                result.push({
                    'Ключ': "Погода",
                    "Значение": this.info.weather[0].description
                })
                 result.push({
                    'Ключ': "Температура сейчас",
                    "Значение": parseInt(this.info.main.temp -273)
                })
               result.push({
                    'Ключ': "Температура максимальная",
                    "Значение": parseInt(this.info.main.temp_max -273)
                })
               result.push({
                    'Ключ': "Температура минимальная",
                    "Значение": parseInt(this.info.main.temp_min -273)
                })
            }
            return result
        }
    },
    data() {
      return {
    
      }
    }
  }

</script>